Skip to main content
GET
/
api
/
v1
/
analytics
/
post
/
bulk
Get Bulk Post Analytics
curl --request GET \
  --url https://api.bundle.social/api/v1/analytics/post/bulk \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.bundle.social/api/v1/analytics/post/bulk"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.bundle.social/api/v1/analytics/post/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "postId": "<string>",
      "items": [
        {
          "id": "<string>",
          "profilePostId": "<string>",
          "impressions": 123,
          "impressionsUnique": 123,
          "views": 123,
          "viewsUnique": 123,
          "likes": 123,
          "dislikes": 123,
          "comments": 123,
          "shares": 123,
          "saves": 123,
          "forced": true,
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "raw": null,
          "deletedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "error": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123
  }
}
{
"message": "<string>",
"statusCode": 123,
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
{
"message": "<string>",
"statusCode": 123
}
{
"message": "<string>",
"statusCode": 123
}
{
"message": "<string>",
"statusCode": 123
}
{
"message": "<string>",
"statusCode": 123
}
{
"message": "<string>",
"statusCode": 123
}

Authorizations

x-api-key
string
header
required

Query Parameters

postIds
string[]
required
Required array length: 1 - 60 elements
platformType
enum<string>
required
Available options:
TIKTOK,
YOUTUBE,
INSTAGRAM,
FACEBOOK,
THREADS,
REDDIT,
PINTEREST,
MASTODON,
LINKEDIN,
BLUESKY,
GOOGLE_BUSINESS,
SNAPCHAT
page
number
default:1
Required range: x >= 1
limit
number
default:20
Required range: 1 <= x <= 20

Response

200

results
object[]
required
pagination
object
required